Page MenuHomePhabricator

User namespace localisation update for Slovak
Closed, ResolvedPublic

Description

Uživatel/Uživatelka and Diskuse s uživatelem/uživatelkou are wrong at all because it could be "Užívateľ/Užívateľka" and "Diskusia s užívateľom/užívateľkou".

[…] it is grammaticaly wrong too (it is not in slovak language but in czech).

Correct values for Slovak

NS_USERMUžívateľ
NS_USERUžívateľka
NS_USER_TALKMDiskusia s užívateľom
NS_USER_TALKFDiskusia s užívateľkou

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 20 2016, 11:25 AM
Dereckson updated the task description. (Show Details)Aug 20 2016, 1:09 PM

Change 305787 had a related patch set uploaded (by Dereckson):
User namespace localisation update for Slovak

https://gerrit.wikimedia.org/r/305787

LacoR added a subscriber: LacoR.Aug 20 2016, 3:50 PM
Nemo_bis triaged this task as High priority.Aug 20 2016, 7:04 PM
Nemo_bis added a subscriber: Nemo_bis.

Thanks for submitting translations.

Dereckson added a comment.EditedAug 20 2016, 7:15 PM

Currently the canonical/neutral NS_USER namespace is Redaktor.

@TomasPolonec @LacoR I guess it should be updated too to Užívateľ for MediaWiki third party users and Redaktor is Wikimedia specific?

LacoR added a comment.Aug 20 2016, 9:21 PM

Yes for MediaWiki core it should be like in the descripion of this task. The neutral description is equal to the masculin description.

In Wikipedia it should be:

NS_USERNRedaktor
NS_USERMRedaktor
NS_USERFRedaktorka
NS_USER_TALKNDiskusia s redaktorom
NS_USER_TALKMDiskusia s redaktorom
NS_USER_TALKFDiskusia s redaktorkou

Thanks, updated accordingly the change for MediaWiki core.

Change 305787 merged by jenkins-bot:
User namespace localisation update for Slovak

https://gerrit.wikimedia.org/r/305787

Change 305787 merged by jenkins-bot:
User namespace localisation update for Slovak
https://gerrit.wikimedia.org/r/305787

It would be ok to backport.

Backport to where?

Without backports, the fix will reach the Slovak Wikipedia on 2016-09-01.

There is no emergency, as the Slovak Wikipedia uses custom User namespaces.

Arrbee moved this task from QA to Done on the Language-Q1-2016-17 Sprint 4 board.Aug 30 2016, 7:55 AM
Nemo_bis closed this task as Resolved.Aug 30 2016, 2:15 PM